## org.omg.IOP.CodecFactoryPackage
Class UnknownEncodingHelper

    java.lang.Object
      |
      +--org.omg.IOP.CodecFactoryPackage.UnknownEncodingHelper

public class UnknownEncodingHelper
extends java.lang.Object

Helper class for : UnknownEncoding

Author:
  OpenORB Compiler

Constructor Summary
`UnknownEncodingHelper()`

Method Summary
`static UnknownEncoding` `extract(Any a)` Extract UnknownEncoding from an any
`static java.lang.String` `id()` Return the UnknownEncoding IDL ID
`static void` `insert(Any a, UnknownEncoding t)` Insert UnknownEncoding into an any
`static UnknownEncoding` `read(InputStream istream)` Read UnknownEncoding from a marshalled stream
`static TypeCode` `type()` Return the UnknownEncoding TypeCode
`static void` `write(OutputStream ostream, UnknownEncoding value)` Write UnknownEncoding into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnknownEncodingHelper

    public UnknownEncodingHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UnknownEncoding t)

  Insert UnknownEncoding into an any
  Parameters:
    `a` - an any
    `t` - UnknownEncoding value

### extract

    public static UnknownEncoding extract(Any a)

  Extract UnknownEncoding from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted UnknownEncoding value

### type

    public static TypeCode type()

  Return the UnknownEncoding TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the UnknownEncoding IDL ID
  Returns:
    an ID

### read

    public static UnknownEncoding read(InputStream istream)

  Read UnknownEncoding from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed UnknownEncoding value

### write

    public static void write(OutputStream ostream,
                             UnknownEncoding value)

  Write UnknownEncoding into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - UnknownEncoding value